gtksourceviewmm: Gsv::StyleSchemeChooser Class Reference

gtksourceviewmm 3.91.1

Public Member Functions | Static Public Member Functions | Related Symbols | List of all members
Gsv::StyleSchemeChooser Class Reference

GtkSourceStyleSchemeChooser is an interface that is implemented by widgets for choosing style schemes. More...

`#include <gtksourceviewmm/styleschemechooser.h>`

Inherits Glib::Object.

## Public Member Functions
| StyleSchemeChooser (StyleSchemeChooser&& src) noexcept
StyleSchemeChooser& | operator= (StyleSchemeChooser&& src) noexcept
| ~StyleSchemeChooser () noexcept override
GtkSourceStyleSchemeChooser* | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceStyleSchemeChooser* | gobj () const
| Provides access to the underlying C GObject.
GtkSourceStyleSchemeChooser* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< StyleScheme > | get_style_scheme ()
| Gets the currently-selected scheme.
Glib::RefPtr< const StyleScheme > | get_style_scheme () const
| Gets the currently-selected scheme.
void | set_style_scheme (const Glib::RefPtr< StyleScheme >& scheme)
| Sets the scheme.
Glib::PropertyProxy< Glib::RefPtr< StyleScheme > > | property_style_scheme ()
| Current style scheme.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< StyleScheme > > | property_style_scheme () const
| Current style scheme.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gsv::StyleSchemeChooser > | wrap (GtkSourceStyleSchemeChooser* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

GtkSourceStyleSchemeChooser is an interface that is implemented by widgets for choosing style schemes.

In GtkSourceView, the main widgets that implement this interface are GtkSourceStyleSchemeChooserWidget and GtkSourceStyleSchemeChooserButton.

Since gtksourceviewmm 3.16

## Constructor & Destructor Documentation

## ◆ StyleSchemeChooser()

Gsv::StyleSchemeChooser::StyleSchemeChooser | ( | StyleSchemeChooser&& | src | ) |
| noexcept

## ◆ ~StyleSchemeChooser()

Gsv::StyleSchemeChooser::~StyleSchemeChooser | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ get_style_scheme() [1/2]

Glib::RefPtr< StyleScheme > Gsv::StyleSchemeChooser::get_style_scheme | ( |  | ) |

Gets the currently-selected scheme.

Returns
  the currently-selected scheme.

Since gtksourceviewmm 3.16

## ◆ get_style_scheme() [2/2]

Glib::RefPtr< const StyleScheme > Gsv::StyleSchemeChooser::get_style_scheme | ( |  | ) | const

Gets the currently-selected scheme.

Since gtksourceviewmm 3.16

Returns
  The currently-selected scheme.

## ◆ get_type()

static GType Gsv::StyleSchemeChooser::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkSourceStyleSchemeChooser * Gsv::StyleSchemeChooser::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkSourceStyleSchemeChooser * Gsv::StyleSchemeChooser::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkSourceStyleSchemeChooser * Gsv::StyleSchemeChooser::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

StyleSchemeChooser& Gsv::StyleSchemeChooser::operator= | ( | StyleSchemeChooser&& | src | ) |
| noexcept

## ◆ property_style_scheme() [1/2]

Glib::PropertyProxy< Glib::RefPtr< StyleScheme > > Gsv::StyleSchemeChooser::property_style_scheme | ( |  | ) |

Current style scheme.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_style_scheme() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< StyleScheme > > Gsv::StyleSchemeChooser::property_style_scheme | ( |  | ) | const

Current style scheme.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_style_scheme()

void Gsv::StyleSchemeChooser::set_style_scheme | ( | const Glib::RefPtr< StyleScheme >& | scheme | ) |

Sets the scheme.

Parameters

  scheme | a GtkSourceStyleScheme

Since gtksourceviewmm 3.16

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gsv::StyleSchemeChooser > wrap | ( | GtkSourceStyleSchemeChooser * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.